daisy(6)

NAME
daisy - draws spinning daisies

SYNOPSIS
daisy [-display host:display.screen] [-window] [-root] [-mono] [-install] [-visual visual] [-delay usecs] [-count integer] [-ncolors integer] [-pop | -drop | -roam] [-db | -no-db]

DESCRIPTION
The daisy program draws spinning daisy-like flowers that pop up one by one, drop down from above, or roam about the screen.

OPTIONS
daisy accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay usecs
    Per-frame delay, in microseconds: default is 50000.

-count integer
    Number of daisies to draw. Default is 25.

-ncolors integer
    How many colors should be used (if possible). Default is 64. The colors are chosen randomly. Passing an argument of 1 is the same as specifying -mono.

-pop | -drop | -roam
    If -drop is specified, the daisies will drop in from the top of the screen, giving a "raining flowers" effect. Overrides -roam. If -roam is specified, then the daisies will wander around the screen in various directions. If -pop is specified, then the daisies will pop up one by one in random places until -count is reached. Overrides -drop and -roam. Default is -pop.

-db | -no-db
    Use double-buffering, or not. If not, the beautiful flowers will flicker and turn ugly; hence, -db is the default.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 2006 by Kelley Nielsen. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Kelley Nielsen <shegeek-dev@comcast.net>, 28-Feb-06.